# Class AppReopenedEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.AppReopenedEvent

All Implemented Interfaces:
  `Serializable`

public final class AppReopenedEvent extends AppEvent
Event sent when the application is asked to re-open itself.

Since:
  9
See Also:
  - `AppReopenedListener.appReopened(AppReopenedEvent)`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppReopenedEvent()`
  Constructs an `AppReopenedEvent`.

- ## Method Summary

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AppReopenedEvent

    public AppReopenedEvent()
    Constructs an `AppReopenedEvent`.
    Throws:
      `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
      `UnsupportedOperationException` - if Desktop API is not supported on the current platform
    See Also:
      - `Desktop.isDesktopSupported()`
      - `GraphicsEnvironment.isHeadless()`